
Installer - Refactor #27716

Mark foreman::compute::*::version as an advanced parameter

08/27/2019 01:03 PM - Ewoud Kohl van Wijngaarden

Status: Rejected   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/751

  

Description

Most users won't change this away from installed to a specific version or latest. Especially in the installer. By making it an advanced

parameter, we hide this from most users who won't care.

History

#1 - 08/27/2019 01:07 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/751 added

#2 - 10/30/2019 12:53 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Rejected

- Target version deleted (1.24.0)

Currently kafo can't do this. To have an advanced group, there needs to be a non-advanced group. There's only a single parameter so there can't be

two groups.
